Subject: Re: powerpc/ppc64: Allow allmodconfig to build (finally !)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 13 May 2014 19:16:41 +1000

On Mon, 2014-05-12 at 17:28 -0700, Guenter Roeck wrote:

> After applying this patch, I get
> 
> arch/powerpc/kernel/exceptions-64s.S:269: Error: operand out of range
> (0x000000000000814c is not between 0xffffffffffff8000 and 0x0000000000007ffc)
> arch/powerpc/kernel/exceptions-64s.S:729: Error: operand out of range
> (0x000000000000814c is not between 0xffffffffffff8000 and 0x0000000000007ffc)
> 
> with powerpc:defconfig, powerpc:allmodconfig, powerpc:cell_defconfig, and
> powerpc:maple_defconfig.
> 
> This is on top of v3.15-rc5. Any idea what is going on ?
> 
> Compiler is powerpc64-poky-linux-gcc (GCC) 4.7.2 (from poky 1.4.0-1).

Interesting... works with all my test configs using 4.7.3...

I don't have my tree at hand right now, I'll check what that means
tomorrow see if I can find a workaround.

Cheers,
Ben.